﻿using System;
using Microsoft.AnalysisServices.Tabular;

namespace AmoProcessTables {
    class Program {
        static void Main(string[] args) {
            Server server = new Server();
            server.Connect(@"localhost\tab16");
            Database db = server.Databases["Contoso"];
            Model model = db.Model;
            Table tableProduct = model.Tables["Product"];
            Table tableSales = model.Tables["Sales"];
            tableProduct.RequestRefresh(RefreshType.DataOnly);
            // tableSales.RequestRefresh(RefreshType.DataOnly);
            model.RequestRefresh(RefreshType.Calculate);
            server.CaptureXml = true;
            model.SaveChanges(new SaveOptions() { MaxParallelism = 5 });
            server.CaptureXml = false;
            Console.WriteLine("------ XMLA script ------");
            foreach (var s in server.CaptureLog) Console.WriteLine(s);
            Console.WriteLine("----- End of script -----");
            server.Disconnect();
        }
    }
}
